Page 2 of 2 FirstFirst 12
Results 11 to 17 of 17

Thread: Need help integrating Google into Dolphin

  1. Back To Top    #11
    Ascendant oshunluvr's Avatar
    Join Date
    Feb 2010
    Location
    New Bern, NC USA
    Posts
    10,660
    Threads
    435
    Local Date
    Jun 3rd 2020
    Local Time
    04:08 PM
    There's a lot of info out there about google-kde connection being being broken. I was able to connect finally by:

    Using System Settings > Online Accounts and adding my Google account there. I had to go through it several times and even tried using my phone instead of password. Eventually (about 5-6 attempts) I was able to get my accounts into System Settings.Once it was there, Dolphin opened my gdrive account.
    Please Read Me
    Be not the first by whom the new are tried, Nor yet the last to lay the old aside. - Alexander Pope, An Essay on Criticism, 1711

  2. Back To Top    #12
    Ascendant Snowhog's Avatar
    Join Date
    Mar 2007
    Location
    Columbia Heights, MN
    Posts
    20,596
    Threads
    1012
    Local Date
    Jun 3rd 2020
    Local Time
    03:08 PM
    I added my Google Drive in Kubuntu without any issue; did it the first time. I believe I followed the instructions here.

    Alternatively, https://community.kde.org/KIO_GDrive
    Last edited by Snowhog; Mar 9th 2020 at 05:51 PM.
    "It is a capital mistake to theorize before one has data." - Sherlock Holmes
    Using Kubuntu Linux since March 23, 2007
    Twin Cities Bicycling Club - "And miles to go before I sleep."

  3. Back To Top    #13
    Kubuntu as a Second Language
    Join Date
    Mar 2013
    Posts
    1,194
    Threads
    192
    Local Date
    Jun 3rd 2020
    Local Time
    08:08 PM
    Quote Originally Posted by pooky2483 View Post
    Yeah, got to think of the environment, I dont want Greta on my case, do I

    Well, I entered
    #apt list --installed | grep -i google
    and I got;
    WARNING: apt does not have a stable CLI interface. Use with caution in scripts.
    Sorry! That code only shows packages containing "google" in their names. It doesn't show packages with "google" in their descriptions.

    A better code is apt search google | grep -A 1 installed

    Using apt search, by default, searches both the package and its description.

    The -A 1 shows the immediate line after "[installed]" and that line includes the description of the package:

    So,

    Code:
    $ apt search google | grep -A 1 installed
    
    WARNING: apt does not have a stable CLI interface. Use with caution in scripts.
    
    google-chrome-stable/stable,now 80.0.3987.132-1 amd64 [installed]
     The web browser from Google
    --
    libkpimgapi-data/bionic,now 17.12.3-0ubuntu1 all [installed]
     Google API library for KDE -- data files
    --
    libkpimgapicalendar5/bionic,now 17.12.3-0ubuntu1 amd64 [installed]
     library to integrate with Google Calendar service API
    --
    libkpimgapicontacts5/bionic,now 17.12.3-0ubuntu1 amd64 [installed]
     library to integrate with Google Contacts service API
    --
    libkpimgapicore5/bionic,now 17.12.3-0ubuntu1 amd64 [installed]
     core library to integrate with Google service APIs
    --
    libkpimgapidrive5/bionic,now 17.12.3-0ubuntu1 amd64 [installed]
     library to integrate with Google Drive service API
    --
    libkpimgapitasks5/bionic,now 17.12.3-0ubuntu1 amd64 [installed]
     library to integrate with Google Tasks service API
    $
    Kubuntu 18.04 with Baloo file search and content indexing
    KDE neon 18.04 User Edition with Baloo file search and content indexing

  4. Back To Top    #14
    Contributing Member pooky2483's Avatar
    Join Date
    Nov 2013
    Location
    Derby, UK
    Posts
    70
    Threads
    14
    Local Date
    Jun 3rd 2020
    Local Time
    09:08 PM
    I used
    Code:
    apt search google | grep -A 1 installed
    And got;
    Code:
    WARNING: apt does not have a stable CLI interface. Use with caution in scripts.
    
    bleachbit/bionic,bionic,now 2.0-2 all [installed]
     delete unnecessary files from the system
    --
    fonts-roboto-hinted/bionic,bionic,now 2:0~20160106-2 all [installed,automatic]
     Google's signature family of fonts (hinted)
    --
    kaccounts-integration/bionic,now 4:17.12.3-0ubuntu1 amd64 [installed]
     System to administer web accounts
    --
    kaccounts-providers/bionic,now 4:17.12.3-0ubuntu1 amd64 [installed]
     KDE providers for accounts sign-on
    --
    kio-gdrive/bionic,bionic,now 1.2.5-0ubuntu0.18.04.1~ubuntu18.04~ppa1 amd64 [installed]
     KIO access for Google Drive
    --
    libcmis-0.5-5v5/bionic,now 0.5.1+git20160603-3build2 amd64 [installed]
     CMIS protocol client library
    --
    libgdata-common/bionic,bionic,now 0.17.9-2 all [installed,automatic]
     Library for accessing GData webservices - common data files
    --
    libgdata22/bionic,now 0.17.9-2 amd64 [installed,automatic]
     Library for accessing GData webservices - shared libraries
    --
    libgoa-1.0-0b/bionic-updates,now 3.28.0-0ubuntu2.1 amd64 [installed,automatic]
     library for GNOME Online Accounts
    --
    libgoa-1.0-common/bionic-updates,bionic-updates,now 3.28.0-0ubuntu2.1 all [installed,automatic]
     library for GNOME Online Accounts - common files
    --
    libkaccounts1/bionic,now 4:17.12.3-0ubuntu1 amd64 [installed]
     System to administer web accounts - shared library
    --
    libkpimgapi-data/bionic,bionic,now 17.12.3-0ubuntu1 all [installed]
     Google API library for KDE -- data files
    --
    libkpimgapicalendar5/bionic,now 17.12.3-0ubuntu1 amd64 [installed]
     library to integrate with Google Calendar service API                                                                  
    --
    libkpimgapicontacts5/bionic,now 17.12.3-0ubuntu1 amd64 [installed]
     library to integrate with Google Contacts service API                                                                  
    --
    libkpimgapicore5/bionic,now 17.12.3-0ubuntu1 amd64 [installed]
     core library to integrate with Google service APIs                                                                     
    --
    libkpimgapidrive5/bionic,now 17.12.3-0ubuntu1 amd64 [installed]
     library to integrate with Google Drive service API
    --
    libkpimgapitasks5/bionic,now 17.12.3-0ubuntu1 amd64 [installed]
     library to integrate with Google Tasks service API
    --
    libopencore-amrnb0/bionic,now 0.1.3-2.1 amd64 [installed]
     Adaptive Multi Rate speech codec - shared library
    --
    libopencore-amrwb0/bionic,now 0.1.3-2.1 amd64 [installed]
     Adaptive Multi-Rate - Wideband speech codec - shared library
    --
    libprotobuf-lite10/bionic,now 3.0.0-9.1ubuntu1 amd64 [installed]
     protocol buffers C++ library (lite version)
    --
    libvo-aacenc0/bionic,now 0.1.3-1 amd64 [installed,automatic]
     VisualOn AAC encoder library
    --
    libvo-amrwbenc0/bionic,now 0.1.3-1 amd64 [installed,automatic]
     VisualOn AMR-WB encoder library
    --
    libvpx5/bionic-updates,bionic-security,now 1.7.0-3ubuntu0.18.04.1 amd64 [installed]
     VP8 and VP9 video codec (shared library)
    Kubuntu 18.04LTS~64bit|Plasma 5.12.9|KDE 5.47.0|QT 5.9.5|Linux 5.3.0.40~generic|M5A78L-M USB3|BIOS 2101|AMD PhenomII X4 965 3400+|P8H77-I Motherboard NIC|8.0GB PC3-10600 1333Mhz CL9 (9-9-9-24)DDR3

  5. Back To Top    #15
    Senior Member Beerislife's Avatar
    Join Date
    May 2016
    Location
    Tokyo
    Posts
    111
    Threads
    22
    Local Date
    Jun 4th 2020
    Local Time
    05:08 AM
    I was having trouble with KDE Neon and my Google account. Installing the kde-telepathy metapackage fixed it.

  6. Back To Top    #16
    Junior Member
    Join Date
    Nov 2015
    Posts
    16
    Threads
    6
    Local Date
    Jun 3rd 2020
    Local Time
    09:08 PM
    Me too. It worked on earlier versions of Kubuntu

  7. Back To Top    #17
    Junior Member
    Join Date
    Nov 2015
    Posts
    16
    Threads
    6
    Local Date
    Jun 3rd 2020
    Local Time
    09:08 PM
    [QUOTE=You may have to add the Kubuntu-updates PPA to get a newer version of Kio-gdrive if the stock version for 18.04 does not work.[/QUOTE]

    Just wondering where I might find ppa?

Page 2 of 2 FirstFirst 12

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •